Bug 242076 - graphics/py-OWSLib: Update to 0.19.0
Summary: graphics/py-OWSLib: Update to 0.19.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL: https://github.com/geopython/OWSLib/b...
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2019-11-19 12:51 UTC by Loïc Bartoletti
Modified: 2019-12-08 10:55 UTC (History)
4 users (show)

See Also:
lbartoletti: maintainer-feedback+


Attachments
py-OWSLib 0.19.0 (1.21 KB, patch)
2019-11-19 12:51 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
py-OWSLib 0.19.0 (1.15 KB, patch)
2019-12-04 12:53 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti 2019-11-19 12:51:28 UTC
Created attachment 209249 [details]
py-OWSLib 0.19.0

graphics/py-OWSLib: Update to 0.19.0

 * Update to 0.19.0
 * Remove python2 support [1] -> USE= python:3.4+ and USE_PYTHON= allflavors


 Changelog:

   https://github.com/geopython/OWSLib/blob/master/CHANGES.rst#0190-2019-11-14

 [1] https://github.com/geopython/OWSLib/commit/430342c024f74d70a6cf78d1af810e803822997d

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 11, 12, 13, i386/amd64)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-11-22 11:03:28 UTC
Thank you for port update Loïc

Please remove allflavors, it's only for use by certain ports (such as setuptools, and unbundled python modules: tkinter, gdbm, sqlite3, etc)
Comment 2 Loïc Bartoletti 2019-12-04 12:53:14 UTC
Created attachment 209688 [details]
py-OWSLib 0.19.0

Remove allflavors
Comment 3 commit-hook freebsd_committer 2019-12-08 10:55:21 UTC
A commit references this bug:

Author: tcberner
Date: Sun Dec  8 10:54:34 UTC 2019
New revision: 519288
URL: https://svnweb.freebsd.org/changeset/ports/519288

Log:
  graphics/py-OWSLib: Update to 0.19.0

  PR:		242076
  Submitted by:	Lo?c Bartoletti <lbartoletti@tuxfamily.org>  (maintainer)

Changes:
  head/graphics/py-OWSLib/Makefile
  head/graphics/py-OWSLib/distinfo
Comment 4 Tobias C. Berner freebsd_committer 2019-12-08 10:55:51 UTC
Committed with a minor modification: there is no python34 in ports anymore, so I switched it to USES=python=3.5+.
Thanks.